diff --git a/flake.lock b/flake.lock
index 525a7cdd3af72529d0b02799a211c113095ffaac..18f8fc3aed1b13a50e49ab94f4171cecf7fac90f 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1739451785,
-        "narHash": "sha256-3ebRdThRic9bHMuNi2IAA/ek9b32bsy8F5R4SvGTIog=",
+        "lastModified": 1740019556,
+        "narHash": "sha256-vn285HxnnlHLWnv59Og7muqECNMS33mWLM14soFIv2g=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "1128e89fd5e11bb25aedbfc287733c6502202ea9",
+        "rev": "dad564433178067be1fbdfcce23b546254b6d641",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/darwin/zed/default.nix b/pkgs/darwin/zed/default.nix
index 09bc1a1facdf6fa9437b2c4203e05e3a4ca508b7..9eaca3ac214b8af1d0e9fcaf2018a3d1b18771a8 100644
--- a/pkgs/darwin/zed/default.nix
+++ b/pkgs/darwin/zed/default.nix
@@ -7,11 +7,11 @@ }:
 
 stdenvNoCC.mkDerivation (finalAttrs: {
   pname = "zed";
-  version = "0.175.0-pre";
+  version = "0.175.3-pre";
 
   src = fetchurl {
     url = "https://zed.dev/api/releases/stable/${finalAttrs.version}/Zed-x86_64.dmg";
-    hash = "sha256-pkvj6XGEK22MHuO/WLQMojBdZXuE/wXuxUJ6jV7X6Kk=";
+    hash = "sha256-+Oxg9vAXvYF56hgr/PfZlnP1ihf1j2L6md8FXy8duVY=";
   };
 
   sourceRoot = ".";
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index c31524a67db6524d9705c059e6bed420fdc331ac..d882d695aff4a2e85774480134a0cfd5621ca625 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -45,7 +45,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2025-02-15";
+  version = "2025-02-22";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 96126fba00506812055ab40fa3c3497ff6e240f6..c36dc26395462d64bae09ebd78942432be671589 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -5,35 +5,35 @@     "hash": "sha256-sBJI1tdavf5vgaOe6o47Mm0ULj7CXrfVlBAvHc2FDhU="
   },
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-lw+LBp7Z4zI/c0S3JxiUwLjg0M0AI5RdLHKqeJp3LrE="
+    "hash": "sha256-/NDQ9YxnTegkHocyCRspaJpUQNEz8eVa9SM5HhsjlBs="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Z/sDwh/t5RoGasJUJ9JKaqJsw1oE4qbw//MnZW+18bw="
+    "hash": "sha256-dqsnNyguK52C+W1XjDCGUiQQrHJle0YiBRAbkJIUaLM="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-vlhX5euUNClz09qEfwOcAj2DHZhf3IDrr8QE8q/75EM="
+    "hash": "sha256-D8ZFoxCgTnT7lVUokvl92tnDa4uPC5dKEpXR8qxpp/o="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-uZ8b3hQthEfUMOXO9uspQRfSBDtA3nN55MsRUQd9cbY="
+    "hash": "sha256-oTXDJWDSccNyWDe1SzXLx768jc88tBJon7ykDiWTN98="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
-    "hash": "sha256-5yHA5ntQlHV63VXmK4Q8omXhbVG67VG0wVHvo4MSKNM="
+    "hash": "sha256-6EHA/uW9FaubO29fUrKN2xd+lUAxhyzZrIrJ4Ixo3aI="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-WV6RHrACpk4IMug4rGdBacy/HcE3Pm1+Kkw1sCuCP3o="
+    "hash": "sha256-nc9eOy2biPY0Y4M+MUuz/ivkrSqFKWF8TS7ilxnstoI="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-p46cZ67mkrNXl/AMJNS6qfKyzedyIkXVAHNg4wXKAAo="
+    "hash": "sha256-UyHzmHjAR30x5Lc8/JL3hs9pXgBdczS6qbE0kCuI66A="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-XTMeg6mH5f6t+5HlSRjOlyU5WzbIlUaBiOMOtPcnDac="
+    "hash": "sha256-tW3zSxgOy3//KFHDexPGjuKKZxLDz9HUBQCM7fpDjuI="
   },
   "bel-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-eng_links.tsv.bz2",
@@ -45,15 +45,15 @@     "hash": "sha256-VJdA/n/NXQ2JgRyCnwdRZAGb/iLrcgF4T9gbRAFQFpI="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-EU56j6gACbJXZCAUcPLsF6TIHqGSFAGb7MvBBt2eOFw="
+    "hash": "sha256-d/V5JIvVigQ6nHhIZfbzjo1Jbn0cBegtg9JQTR/+MIA="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-JRDg/VZlutbtLvgR2Z/1ix6Vxt0RcWUCqmAESVOzjLc="
+    "hash": "sha256-hjdsCZAtMdEE/I8VwEK6uvJGPM8sZM8s+wa/kVWTak4="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-PshRFbtTSB0/oidgDQ25xL02pqkDnfWMRUVCD+Pares="
+    "hash": "sha256-xNKTevsKCaAxTWGZN25CBXqIYg7wByNmfRFxXBdReOw="
   },
   "eng-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-bel_links.tsv.bz2",
@@ -61,39 +61,39 @@     "hash": "sha256-0uKzeMLo2TTWTUGxk+88pT+Nf8wYsfaueA3Ef4Z73OQ="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-SMZDIAvMcK3JBJzyfsd1Rjow0Zh1dmNCS0p62ox0amQ="
+    "hash": "sha256-qyMeLcJK3HuTSnyOdDB122W9djBMqvQS5w3f9sExonc="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-+OZAeeYyoxN3sdT5igMrAxmF67iMbaNtaDHFVza/wK8="
+    "hash": "sha256-mT5mrCos2bfIIZeVmXtz9npl6eEAQwmWAlyyCSX4Qd0="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
-    "hash": "sha256-xHBvzwhw1wIdO9mjnFgzLF6jq/NXADfX5wobl+Q+eTE="
+    "hash": "sha256-/mGScCpBtHe0k4UTxdaf3deyLNFJhUxzJP3HU9xu14w="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-iozj3Gun4pcZXMhXvhew7D7FhRihuQUfMwzEaxDbcqE="
+    "hash": "sha256-xOwp+F8657XM+abxXySAAqB/GWRbJGzZVX6Z0z5GzeE="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-DIfgvG9rke2K/NkeHqUh2Kf7CS97+MMTvdXkQoV/Vuk="
+    "hash": "sha256-m0K/BP3kKbdvwB5C4tn19NPdfUNiO/pbZN25FfZPsyc="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-PbW2M36hWL+NVebBbiLVZhdw+ZxJOnP3nH77MTUsOlY="
+    "hash": "sha256-7XDGHzAiVg6dWIEYUgkP5uSEActGGY8l5/xMpeMTHug="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-6NuTkXQgsiM6gHm0DjbIU7/nsHJOnrsqPWr2qzHts1k="
+    "hash": "sha256-UC3GuebtoYtoCLPjwjZpEfKFNWa/ZLdLfotIpcj0OtA="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-fmE/9DC0N7OmgbBxC4iOUIZ570N/+z5VPKucBpm64eU="
+    "hash": "sha256-yGeciWupJwTZGjHbsg8O5IlfU9JNW9nhalEKYSdHNzU="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-LWRA0N1TQ3oQocBomaTs0s3axDDHmJLh+3kMf52MKac="
+    "hash": "sha256-nI6gkF7CrNu0ytY/mDoXneB9F7dVGiRV4MaaU+fu0mE="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -101,11 +101,11 @@     "hash": "sha256-3x510tN20CmuCbFeTK/kTO7jZxwyxnZ1m7eD5QagY0w="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
-    "hash": "sha256-gG+cmHPJoIu4Nc/OvaY2UQNZHNh0gVPROgvyZ17ZrWg="
+    "hash": "sha256-nWFzLPSOPl811eJ0iEZ7MPKij5YPtnd3sQaXmggytMY="
   },
   "hye-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-rus_links.tsv.bz2",
-    "hash": "sha256-jUez7Hv3L+gBaR/g15KKSAwvoTeiybmXp9mB7VksbxU="
+    "hash": "sha256-2c5FLTW1ON2mUqghATwf09cfS7Vvq1dJOdcn13W1gVU="
   },
   "rus-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-bel_links.tsv.bz2",
@@ -113,15 +113,15 @@     "hash": "sha256-SwMhaIxMf78m1Kov+cbbCQRiBkW0rNyK4S3woTiFQ18="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-e3M3gxemPjxB1kF1MqnYQ5mC2a4u0wSIIbA13KjyFLw="
+    "hash": "sha256-/O0H8nLQFH5zMVyMROv4QNWiN36NVlCy2NF/9VfLM24="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-kovUdT8acCrMGa07N7YbvLoQ4PIMZ+1mI6IF3XDaAGs="
+    "hash": "sha256-f40v1flsPpvGPswTd0M0W8HX800KmFzgVM7Sm0Xuh+Y="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-KD9q3ZoXL7pPVJH6mwZc0euB1mx8WnzkO2gMcOlxeBs="
+    "hash": "sha256-v/piE1vQon+VMXEudSCtpMiPsKKj+djr1Vw4HPA8CfM="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -129,30 +129,30 @@     "hash": "sha256-CqKJ1bIhfZcq29j8KOh4FtqXf/EBHOXdhhr1Nihl/V0="
   },
   "rus-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-hye_links.tsv.bz2",
-    "hash": "sha256-BT6LNXYcfl2CxoxBL/TSyuck9li1yasznB4ePx4gdjQ="
+    "hash": "sha256-/rFVeAdv0bhCcmq6Yn85kt1ZzP5XfiI8G7ry4mXKT7M="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
-    "hash": "sha256-g+PPKV8hURGuleTOariy9kNVA8WeS/+GYltfGDfB54Y="
+    "hash": "sha256-IDtykK6rFFVA7QoqqVOxKbmwdXm61wuuE/2vQIIPdCQ="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-kZ/z9amJKxzH2yXuRFGfP8p6sL4ig/2k1bGfP+ePzxs="
+    "hash": "sha256-6TFQZqsuH/PTp7XlDwfDwi5xc++PyxilercvWOVZ620="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-dgDLdJfXYe/pCOWhhhTrh8MJyd+PaK6QUvUIqkuhkp0="
+    "hash": "sha256-jem8xEx9zB4JvRnt+n/KIOzJXOrcZrDOX3q+JKFC7D4="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
-    "hash": "sha256-idNrGJrZrYX9M+EQ6mdyj4ZyAO6AGV3nT81gRfqUifA="
+    "hash": "sha256-gU64mT/Cx0tOu7KGAh3pDc3cpwDwKlQc8lv5KrvDvgI="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-vPvxhkzwo3QUD2znY1IEqZIoiRj34WDiDosDRdxN0NI="
+    "hash": "sha256-1RW1uxXfYQpGkh4Be9ufRoJ+tP7g72pDD6TFyxoXwOs="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-dSK7K4C8BwhnLMT3BvBKWLmRZSuD3/j2nDcyECi+TsE="
+    "hash": "sha256-X2ri8D8EvG2RrX1rb/GMruMgNLxOb700sqI8DU14rhI="
   }
 }
diff --git a/pkgs/data/maps/opentopomap/default.nix b/pkgs/data/maps/opentopomap/default.nix
index 859a1cf49016b8438ee3094be2ff24b7aba28466..02d2895ffffad1250c3127221aabf315058b4ac8 100644
--- a/pkgs/data/maps/opentopomap/default.nix
+++ b/pkgs/data/maps/opentopomap/default.nix
@@ -9,7 +9,7 @@   mkgmap,
   mkgmap-splitter,
 }:
 let
-  version = "250219";
+  version = "250221";
   bounds = fetchwebarchive {
     url = "https://www.thkukuk.de/osm/data/bounds-20250110.zip";
     timestamp = "20250116113456";
@@ -22,7 +22,7 @@     hash = "sha256-1why/zj+/S4F1CbRdhzMen75WA2O5guMKjj3Gk4RrFw=";
   };
   armenia = fetchurl {
     url = "https://download.geofabrik.de/asia/armenia-${version}.osm.pbf";
-    hash = "sha256-2/LF2SGHatVSurhEwSIkWXI4kty0b/87oGGcwftGmjk=";
+    hash = "sha256-gLgIS7swuux5EsJzxdy3bJWMwC/utmQ262psaoqS3UY=";
   };
 in
 stdenv.mkDerivation (finalAttrs: {
diff --git a/pkgs/development/python-modules/gpxelevations/default.nix b/pkgs/development/python-modules/gpxelevations/default.nix
index 8ee4041f248b569b5c6e8a131b710d82906f3b0a..c808ea517694e015e5aac917516f78a73e46181c 100644
--- a/pkgs/development/python-modules/gpxelevations/default.nix
+++ b/pkgs/development/python-modules/gpxelevations/default.nix
@@ -3,6 +3,7 @@   lib,
   python3Packages,
   fetchFromGitHub,
   fetchurl,
+  writableTmpDirAsHomeHook,
 }:
 let
   testdata = import ./testdata.nix { inherit fetchurl; };
@@ -29,15 +30,17 @@     requests
     gpxpy
   ];
 
+  nativeCheckInputs = [ writableTmpDirAsHomeHook ];
+
   dontUseSetuptoolsCheck = true;
 
   checkPhase = ''
-    mkdir -p tmp_home/.cache/srtm
+    mkdir -p $HOME/.cache/srtm
     ${lib.concatMapStringsSep "\n" (hgt: ''
-      cp ${hgt} tmp_home/.cache/srtm/${hgt.name}
+      cp ${hgt} $HOME/.cache/srtm/${hgt.name}
     '') testdata}
 
-    HOME=tmp_home ${python3Packages.python.interpreter} -m unittest test
+    ${python3Packages.python.interpreter} -m unittest test
   '';
 
   meta = {