diff --git a/flake.lock b/flake.lock
index 90240c97ba74d04e6c9c9efeac926bd11c8a6ec7..74ff8365fe738af4e330d3f887aed16d78ea5d41 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1753369216,
-        "narHash": "sha256-Jx2i6loWL755GD+GlCXESMhIiO0aFc/pDo82N16fEiw=",
+        "lastModified": 1753399495,
+        "narHash": "sha256-7XG/QBqhrYOyA2houjRTL2NMa7IKZZ/somBqr+Q/6Wo=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "b74a30dbc0a72e20df07d43109339f780b439291",
+        "rev": "0d00f23f023b7215b3f1035adb5247c8ec180dbc",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 43faa3bebf354a586d5dc3d71368773dd342ed01..4bed6008add89b09b685d64bd72e6e5670c1d88b 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -43,9 +43,9 @@     "ukr rus"
   ];
   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
-stdenvNoCC.mkDerivation rec {
+stdenvNoCC.mkDerivation (finalAttrs: {
   pname = "tatoeba";
-  version = "2025-07-19";
+  version = "2025-07-26";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
@@ -55,9 +55,9 @@       echo "{}" > versions.json
     ''
     + lib.concatMapStringsSep "\n" (src: ''
       bzcat ${src} > ${lib.removeSuffix ".bz2" src.name}
-      jq '.+{"${lib.removeSuffix ".tsv.bz2" src.name}":"${version} 00:00:00"}' versions.json | \
+      jq '.+{"${lib.removeSuffix ".tsv.bz2" src.name}":"${finalAttrs.version} 00:00:00"}' versions.json | \
         sponge versions.json
-    '') srcs;
+    '') finalAttrs.srcs;
 
   nativeBuildInputs = [
     dict
@@ -94,4 +94,4 @@     maintainers = [ lib.maintainers.sikmir ];
     platforms = lib.platforms.all;
     skip.ci = true;
   };
-}
+})
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 9ea592adf399bb5ff2d270c776e7751994b8cdc2..e2ee4508eee816129ba1215e3c9b5c40f7e8d5c9 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -5,39 +5,39 @@     "hash": "sha256-4IMy1C9Gwu5f/0OMYOun94att1iQ0iOvTRnJ+zW5QGM="
   },
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-L4woSyyJ+NeiWorgOK8/IToHXu+3wtZJLBJvIMVl4l0="
+    "hash": "sha256-ZejC3DHr70zw9CJW9vQtOJG1Oy3RFZybzAssMO2A6HY="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-FojTxOFiJS7H06y+9nkJEO4NAVkVbLS/UZjE83N9j6U="
+    "hash": "sha256-DyBuLs1TL2wgO18/JNTY2EeYjSTsEca+QGMzR43EUpg="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-EFsi3BqFbHyhMRjtuaJ5yanhRy4mf2mZCgp1fyB9R6M="
+    "hash": "sha256-TcZH5w1xsshHRIt3onzgTJ52cwhNnWvUHB/Md0pF8EU="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-BuCZ8EM97KHsIkpD9MAzNJYImmP6n1wBr0kpQODTJJk="
+    "hash": "sha256-LUadoy5sn1jXJMzM5VAnsb1BVhTYltLO7aW6o9WBFIU="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
-    "hash": "sha256-o2bAwcZdOMkYapY4szGfc6gHuGgk4cbTs1XY9wTlhAU="
+    "hash": "sha256-hgBMmDs43bcaTDF2onDR+wd9ScqGloZmsjBJlurpNII="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-9XYxVNYrFcnS6UasObTevjn6UnTY1L6fMPyVAvy1cWc="
+    "hash": "sha256-MH2rqMJCXD8DuUz9c4Gm5Q94yobzALeZ386yJrSh2wE="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-o1zcpQq5tBcDlKpaiWhJvwut5JUAH/p62zOg0AWMBd8="
+    "hash": "sha256-TYbiOC3fvUQXazpDC7IcmxF0swf4uI3uIFGP4THMsik="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-ErL078bmgmDtYPkQeJUf3TXz+B7HWF2Rxh4aopUQK64="
+    "hash": "sha256-hL9DKUWSgUa6QbGX1ebsCkokVQI7MvpY6tGhP1hQYTI="
   },
   "bel-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-eng_links.tsv.bz2",
-    "hash": "sha256-KoQybzwCJlVNEIKhrg7W78902+fPLJh9llDsAnVcavA="
+    "hash": "sha256-CKdfhkqubsri+tt0wFNZ0C7s6QuHpIhK4TUVGGgYA+g="
   },
   "bel-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-rus_links.tsv.bz2",
@@ -45,35 +45,35 @@     "hash": "sha256-uWwmFXE2AAmLFz7OkYGdpqsyDdnkfLLstPbHlensxIE="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-hyzzuSCQ4NwTTrpryX9wu9AQrTglsQkian8gUXYKfnE="
+    "hash": "sha256-mje8QhjG4dL+ILF8zOihCKoC14VBHkSsuaE9Se3Eghc="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-fK/gxwevJC3AiSgm13d36Qh7b63w2lR6K5CYl3MC1sE="
+    "hash": "sha256-+86YwDSwqA9Mk9T7m6Fybf+kuwdFfwkliYD/YqlvC7A="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-kETwSs0JtF4uyrW1vFLoWbj431Ltmx1sGTnm19K+e0A="
+    "hash": "sha256-fGr8KuqffQ0Du5eaU4AWwEbwIhB38D34Eh6abLR4cxQ="
   },
   "eng-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-bel_links.tsv.bz2",
-    "hash": "sha256-bz6UK6ny7mfZHm25kBSy1ObsbttdxqIFkLe5XWgcMa8="
+    "hash": "sha256-AoVcHNLBEFuQz1Kj+Q0jhkWHTF2x0nUoW8+kxs9Qzdk="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-ALjGF1LOco/ZUtkXRDRu8DoLh4oobkPIIp6epddP4Xw="
+    "hash": "sha256-Wu1k0tjfkbXHD965lxF5c3EWBIEbQGRID4uEWsDE4ME="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-SuafhR8q0mwCR/Jk+46mHidXvRo41qu/96RGF2ZWKx0="
+    "hash": "sha256-W14+K3b9xSFXDDkS8arWTLOhwOxSzu39lpf7X7UNR6c="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
-    "hash": "sha256-CWkCn4HrOZZdlqGEhW9KpFLrJYxSQOgJOKwEpgYhQyU="
+    "hash": "sha256-Atc3LOZVOqF3XGwjCNoNn9ZUFwFFLI88hCJ3YS/Rt74="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-88LkRL+bS3PRMY22+q/R47n0GUImi+VkAeLZjlULCfo="
+    "hash": "sha256-YbESJgvt3lC4xb3ztbSLpILRcOOb6SNqSzYIL6UzxI4="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
@@ -81,19 +81,19 @@     "hash": "sha256-JWUHYte5tAe6U6z6PFw6iEXWUjAPOdPtww8LVGy3JzY="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-+GenQK/zyk1fCplv8EUTHp948jquSp+8YhFLqf2NYak="
+    "hash": "sha256-3Wlq8jeXdInr4cXwSf1RCAPvY637Sv4S43DN7Ow3GlI="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-W7zKbQN9vBOkR6VUKs590TKe0GOqjb5GcAhnpzNmlyY="
+    "hash": "sha256-e/6FLvWUmsI1Zxi/yuBRo/bQ4QNJiJr8RV+9ThGtd+w="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-tsrrCQVMhI8vyCeK5m8qcPF2FECfKIEvyII+KM8mCr0="
+    "hash": "sha256-lbsOQUaOYgizS36HmGhuP67q9vLKBPbbH86GETTkQ58="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-v4KRiGKu34TH3+RJvXXhDI7/dbEzeYFdgtZVKz/1wwg="
+    "hash": "sha256-tPSAlXlMKuxrKHakhrE4MocnNAbkprM18CAzqUS+bRo="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -101,11 +101,11 @@     "hash": "sha256-VfpIZTCadbglNWCv4YYjGgNpuaJ4zgJmF4+lxZbu5vA="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
-    "hash": "sha256-lJ/2kHW32bYs1QyEytCKWXMU+zMtZEXsd5m6mBYAS2Y="
+    "hash": "sha256-wiI1SEw2BzsoRcbmL9j7bmiJ6Gv4R8mbI6mB9o5ulq4="
   },
   "hye-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-rus_links.tsv.bz2",
-    "hash": "sha256-wn2DnEsZJ+7luNgqJKsyj5Cf1iFfBS9fCAT3NErmCw0="
+    "hash": "sha256-R6HZQ7GJvIW+x6mi36f5KQKrU88tkhWwjOyhPn1e0Js="
   },
   "rus-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-bel_links.tsv.bz2",
@@ -113,15 +113,15 @@     "hash": "sha256-qkJpk0f4LZnoPJL1SUFmYX1Ro0yjNOiYycsPQ1PmFUk="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-vxZa5j3orMg+hJnbmW3wadxzgs8jYrI3RXHDrhX6/lo="
+    "hash": "sha256-RpuKmzjuul6R4JIUhcBvmqFd5NLfdJerrZkF186qdMU="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-foLOSaLhOJvdSW4SJwsonUbk+dIxIynHlXX9OVEhC9M="
+    "hash": "sha256-S3APmuWV27doeHqIVg8+M7VDk7flTrZo16/8oiQXHeY="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-sfs/SpuaWTPusybppIFyHP41dA6fmBM/qfduaSHa6Io="
+    "hash": "sha256-pNmvLb5gHS+yLZCDam/h8na5oei5TcugbqGFD6oEw2I="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -129,7 +129,7 @@     "hash": "sha256-Uww337EIGL7Wg1OmrH+s5DGOAW1Sfk8cqti796SgfQY="
   },
   "rus-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-hye_links.tsv.bz2",
-    "hash": "sha256-chX/Yi44b7izH5P/EZ2R+HM8e5y2C25WrspZTZ5QBjg="
+    "hash": "sha256-mNclwmGm35B3hnGnTK87BPulb8qtBSyteYtTbNcDIV0="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
@@ -137,7 +137,7 @@     "hash": "sha256-08R617n5/t8JZ3H/hhjIUvpDms1ZZhxD9iPKtKxRYr8="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-svgh4p/jS5FmdZpFkIR11TEvIWleO4mtZAROJWHxFcs="
+    "hash": "sha256-MjuEg7LCDaOwJ7bnwckGCNDi5c4h0W8T5vklDUcjcYo="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
@@ -149,10 +149,10 @@     "hash": "sha256-gWfRM5dDMbnEtSywF/w2gHkQIMhkTi0UNntxbk6R6Y4="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-fbDOb61kxmX0EiNJAzNfFqS47j9W2DJZAN1WpS8A5R4="
+    "hash": "sha256-a4z0wfBfTNk2lapaPyFkppML6X93Pf2mFJO4hkEPMkE="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-CxbcAmKwS1suEwnKsChIXP3itMTJAVh+UoWcxETuEPo="
+    "hash": "sha256-cIMNx8qsDYy3W7TITYo4vsT9PynOutMwNrotBDAZbmI="
   }
 }
diff --git a/pkgs/data/maps/maptourist/default.nix b/pkgs/data/maps/maptourist/default.nix
index 16d2b102b13cf968c190d24a438a53c83de48b26..4ec939ae25b94452b298464ea2be31c1300076af 100644
--- a/pkgs/data/maps/maptourist/default.nix
+++ b/pkgs/data/maps/maptourist/default.nix
@@ -5,13 +5,13 @@   fetchurl,
   unzip,
 }:
 
-stdenvNoCC.mkDerivation rec {
+stdenvNoCC.mkDerivation (finalAttrs: {
   pname = "maptourist";
-  version = "2024-11-10";
+  version = "2025-07-25";
 
   src = fetchurl {
-    url = "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-Russia-gmapsupp-RU_${version}.zip";
-    hash = "sha256-Lrnqa3RCCo2A6/tLfb3gxqTjTFTY4DP6ZBv8wgBrUew=";
+    url = "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-Caucasus-gmapsupp-RU_${finalAttrs.version}.zip";
+    hash = "sha256-8/BYU9PtpmP03z3dUUKC3PKXQP1x5d3z1sOAQuiynhc=";
   };
 
   sourceRoot = ".";
@@ -30,4 +30,4 @@     maintainers = [ lib.maintainers.sikmir ];
     platforms = lib.platforms.all;
     skip.ci = true;
   };
-}
+})
diff --git a/pkgs/data/maps/opentopomap/default.nix b/pkgs/data/maps/opentopomap/default.nix
index f35c6faf7fa7887ee760761ad33095d11d8dd112..d3ca2d69eda57306be46d58d97dd8b4601fbb9ec 100644
--- a/pkgs/data/maps/opentopomap/default.nix
+++ b/pkgs/data/maps/opentopomap/default.nix
@@ -9,7 +9,7 @@   mkgmap,
   mkgmap-splitter,
 }:
 let
-  version = "250711";
+  version = "250725";
   bounds = fetchwebarchive {
     url = "https://www.thkukuk.de/osm/data/bounds-20250110.zip";
     timestamp = "20250116113456";
@@ -22,7 +22,7 @@     hash = "sha256-1why/zj+/S4F1CbRdhzMen75WA2O5guMKjj3Gk4RrFw=";
   };
   armenia = fetchurl {
     url = "https://download.geofabrik.de/asia/armenia-${version}.osm.pbf";
-    hash = "sha256-AHqXPiCIwX547FEznDf6ojvAhsIz9+D8fBbu10Ty/Cw=";
+    hash = "sha256-bCA0S9JlOCl3LrlJasGe9Aoo7uTpvWd/1aSak4MPf54=";
   };
 in
 stdenv.mkDerivation (finalAttrs: {
diff --git a/pkgs/data/osm/osm-extracts/default.nix b/pkgs/data/osm/osm-extracts/default.nix
index 983e0b87fca7dcae942e8bc11839fac204135b6a..5c1e5b2fbab6464fd69c157c8dcc819e1cf9c0d5 100644
--- a/pkgs/data/osm/osm-extracts/default.nix
+++ b/pkgs/data/osm/osm-extracts/default.nix
@@ -7,11 +7,11 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "osm-extracts";
-  version = "250712";
+  version = "250725";
 
   src = fetchurl {
     url = "https://download.geofabrik.de/russia/northwestern-fed-district-${finalAttrs.version}.osm.pbf";
-    hash = "sha256-0dA528K98ZorXG7nmD5mL8x4yQ7H8vKsjXqoULX8Mm4=";
+    hash = "sha256-h76IV39BWpB6m/YrHXZCk7Z0REJAPpj8Wsr+xA1dyFs=";
   };
 
   dontUnpack = true;
diff --git a/pkgs/suckless/nextvi/default.nix b/pkgs/suckless/nextvi/default.nix
index fba29b71b13a4f7bcfe55b8244b7855a9228a20c..8cd3f034a40fa5a58dc9611703d1ba533192a8cf 100644
--- a/pkgs/suckless/nextvi/default.nix
+++ b/pkgs/suckless/nextvi/default.nix
@@ -6,13 +6,13 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "nextvi";
-  version = "0-unstable-2025-06-25";
+  version = "0-unstable-2025-07-20";
 
   src = fetchFromGitHub {
     owner = "kyx0r";
     repo = "nextvi";
-    rev = "b13e79ed17f20833d2261c2e35de8fc3795c6f78";
-    hash = "sha256-05qEr15MmlglAhgekr9wbsbG4xYAifF7lIdWtzNmDbs=";
+    rev = "766265f542c2f55f07194101a768526703d56275";
+    hash = "sha256-mTiLQSOzPqow+4eOlx1fysvRL7g+6ZIuIZk7xdTuEdY=";
   };
 
   buildPhase = ''