diff --git a/pkgs/cfiles/default.nix b/pkgs/cfiles/default.nix
index 35418ca170d03b08600f8d196d41dc7f116ff22d..1d6f4d9c4224bb5f6251a2d2cdc956835d28a527 100644
--- a/pkgs/cfiles/default.nix
+++ b/pkgs/cfiles/default.nix
@@ -23,7 +23,7 @@   meta = with stdenv.lib; {
     description = cfiles.description;
     homepage = cfiles.homepage;
     license = licenses.mit;
-    #maintainers = with maintainers; [ sikmir ];
+    maintainers = with maintainers; [ sikmir ];
     platforms = platforms.unix;
   };
 }
diff --git a/pkgs/goldendict-themes/dark-theme.nix b/pkgs/goldendict-themes/dark-theme.nix
index 4b6b3092e9b77000794d57c8744788650ed35e50..7e10c9b9fadc4657009d086c4b93dc5cf52f786c 100644
--- a/pkgs/goldendict-themes/dark-theme.nix
+++ b/pkgs/goldendict-themes/dark-theme.nix
@@ -22,6 +22,6 @@     description = "GoldenDict Dark Theme";
     homepage = "https://gist.github.com/ilius/5a2f35c79775267fbdb249493c041453";
     license = licenses.free;
     maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.unix;
+    platforms = platforms.all;
   };
 }
diff --git a/pkgs/gpx-layer/default.nix b/pkgs/gpx-layer/default.nix
index 9c560fc658628c371d4e5ae8b7285afb3d75fc7a..6331a4de98c8f6f04a3a15da737910cd2b810467 100644
--- a/pkgs/gpx-layer/default.nix
+++ b/pkgs/gpx-layer/default.nix
@@ -22,7 +22,7 @@   meta = with lib; {
     description = gpx-layer.description;
     homepage = gpx-layer.homepage;
     license = licenses.free;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpxelevations/default.nix b/pkgs/gpxelevations/default.nix
index 824e3f37b952069504e7eee229d6b286b81e6464..3a3d5d1504d3eb857921104bbc9efae5f8b7d086 100644
--- a/pkgs/gpxelevations/default.nix
+++ b/pkgs/gpxelevations/default.nix
@@ -14,9 +14,9 @@   #'';
 
   meta = with lib; {
     description = gpxelevations.description;
-    homepage = "https://github.com/tkrajina/srtm.py";
+    homepage = gpxelevations.homepage;
     license = licenses.asl20;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpxlab/default.nix b/pkgs/gpxlab/default.nix
index 4ab1cf755fdc601cd9d41d55e3f2a85f6d1b2cbe..97d198635723debb043643c2b7e62f0b5b7f928e 100644
--- a/pkgs/gpxlab/default.nix
+++ b/pkgs/gpxlab/default.nix
@@ -15,8 +15,8 @@
   enableParallelBuilding = true;
 
   meta = with lib; {
-    homepage = gpxlab.homepage;
     description = gpxlab.description;
+    homepage = gpxlab.homepage;
     license = licenses.gpl3;
     maintainers = with maintainers; [ sikmir ];
     platforms = platforms.linux;
diff --git a/pkgs/gpxpy/default.nix b/pkgs/gpxpy/default.nix
index 8396c021db84b55369d93d13ec4a0abac4443a37..ae8c4283252497668d261af2c3b011ef556656cc 100644
--- a/pkgs/gpxpy/default.nix
+++ b/pkgs/gpxpy/default.nix
@@ -15,7 +15,7 @@   meta = with lib; {
     description = gpxpy.description;
     homepage = gpxpy.homepage;
     license = licenses.asl20;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/gpxsee-maps/default.nix b/pkgs/gpxsee-maps/default.nix
index c2bc4040bee5b2d64a07bbb55d5059af2504cbca..5d6bcadff6a2624e1d24bb8d793a29196bff3bc4 100644
--- a/pkgs/gpxsee-maps/default.nix
+++ b/pkgs/gpxsee-maps/default.nix
@@ -15,6 +15,6 @@     description = gpxsee-maps.description;
     homepage = gpxsee-maps.homepage;
     license = licenses.unlicense;
     maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.unix;
+    platforms = platforms.all;
   };
 }
diff --git a/pkgs/gpxsee/default.nix b/pkgs/gpxsee/default.nix
index 0dcf3c7870b31c9d197059945b7a95962b12e335..6b75406db3fff6e0b1e10237c31a8c990d1deb62 100644
--- a/pkgs/gpxsee/default.nix
+++ b/pkgs/gpxsee/default.nix
@@ -15,8 +15,8 @@
   enableParallelBuilding = true;
 
   meta = with lib; {
-    homepage = gpxsee.homepage;
     description = gpxsee.description;
+    homepage = gpxsee.homepage;
     license = licenses.gpl3;
     maintainers = with maintainers; [ sikmir ];
     platforms = platforms.linux;
diff --git a/pkgs/gt4gd/default.nix b/pkgs/gt4gd/default.nix
index aab2a27ceee879ac1cd163544adf4af90b7f3c6a..7cc2b9a524f8e54850b6db117e342dbda40b74eb 100644
--- a/pkgs/gt4gd/default.nix
+++ b/pkgs/gt4gd/default.nix
@@ -20,7 +20,7 @@   meta = with lib; {
     description = google-translate-for-goldendict.description;
     homepage = google-translate-for-goldendict.homepage;
     license = licenses.gpl3;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/imgp/default.nix b/pkgs/imgp/default.nix
index 2fa2997c943a65a0bb6667767b0c7f12c62078e5..0529a83fdc267c9f5e5d7b11636312c310c754da 100644
--- a/pkgs/imgp/default.nix
+++ b/pkgs/imgp/default.nix
@@ -16,7 +16,7 @@   meta = with lib; {
     description = imgp.description;
     homepage = imgp.homepage;
     license = licenses.gpl3;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/lsdreader/default.nix b/pkgs/lsdreader/default.nix
index 31a26cabe32027bfc7b4b0cd963059a7faf5e3f5..bf76bd372a27e5a802d19ae4199daf3a602b9bd9 100644
--- a/pkgs/lsdreader/default.nix
+++ b/pkgs/lsdreader/default.nix
@@ -11,7 +11,7 @@   meta = with lib; {
     description = lsdreader.description;
     homepage = lsdreader.homepage;
     license = licenses.free;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/mbtileserver/default.nix b/pkgs/mbtileserver/default.nix
index 1bdfaf4e9ee5f318d11543558755330f95fd09d4..e8ebead71b5d216aec225c774d9981e7f158fea7 100644
--- a/pkgs/mbtileserver/default.nix
+++ b/pkgs/mbtileserver/default.nix
@@ -12,5 +12,6 @@     description = mbtileserver.description;
     homepage = mbtileserver.homepage;
     license = licenses.isc;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/mbutil/default.nix b/pkgs/mbutil/default.nix
index 4dca8d366f0b4ab43db7b0a85c2dfd6100af4349..c9a20298c86e9813680f53b2e49b612b9044fc91 100644
--- a/pkgs/mbutil/default.nix
+++ b/pkgs/mbutil/default.nix
@@ -12,7 +12,7 @@   meta = with lib; {
     description = mbutil.description;
     homepage = mbutil.homepage;
     license = licenses.bsd3;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }
diff --git a/pkgs/openorienteering-mapper/default.nix b/pkgs/openorienteering-mapper/default.nix
index 4228a8e1a2c6ceb423a3eb02487f5fb8b8af54c1..5f64f5b4e70b8245f95974ca35565ef2e44f779d 100644
--- a/pkgs/openorienteering-mapper/default.nix
+++ b/pkgs/openorienteering-mapper/default.nix
@@ -51,9 +51,9 @@   '';
 
   meta = with stdenv.lib; {
     description = mapper.description;
-    homepage = "https://www.openorienteering.org/apps/mapper/";
+    homepage = mapper.homepage;
     license = licenses.gpl3;
-    platforms = with platforms; linux ++ darwin;
     maintainers = with maintainers; [ sikmir ];
+    platforms = with platforms; linux ++ darwin;
   };
 }
diff --git a/pkgs/qmapshack-maps/default.nix b/pkgs/qmapshack-maps/default.nix
index 4e381827b93e5165076c1dcd6170d9e425db926a..8d6ef639067fece4f01a969e0f4a0e81c44b91b9 100644
--- a/pkgs/qmapshack-maps/default.nix
+++ b/pkgs/qmapshack-maps/default.nix
@@ -20,6 +20,6 @@     description = "Onlinekarten einbinden";
     homepage = "http://www.mtb-touring.net/qms/onlinekarten-einbinden/";
     license = licenses.free;
     maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.unix;
+    platforms = platforms.all;
   };
 }
diff --git a/pkgs/redict/default.nix b/pkgs/redict/default.nix
index 4a91a83f9c428b648c82c761ecc37745fa4b71ef..f3fbb39b7ed129bf997184d4f8616aedf8ed7a48 100644
--- a/pkgs/redict/default.nix
+++ b/pkgs/redict/default.nix
@@ -24,8 +24,8 @@
   enableParallelBuilding = true;
 
   meta = with lib; {
-    homepage = redict.homepage;
     description = redict.description;
+    homepage = redict.homepage;
     license = licenses.gpl3;
     maintainers = with maintainers; [ sikmir ];
     platforms = platforms.linux;
diff --git a/pkgs/ueberzug/default.nix b/pkgs/ueberzug/default.nix
index a9e53682df9df07e58d01cf32471989603f9c410..312a4d0af28a80c9bfc03321f8859774ad6f99f8 100644
--- a/pkgs/ueberzug/default.nix
+++ b/pkgs/ueberzug/default.nix
@@ -13,7 +13,7 @@   meta = with lib; {
     description = ueberzug.description;
     homepage = ueberzug.homepage;
     license = licenses.gpl3;
-    platforms = platforms.unix;
     maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.unix;
   };
 }