diff --git a/pkgs/data/dicts/cambridge/default.nix b/pkgs/data/dicts/cambridge/default.nix
deleted file mode 100644
index 61f1f809b10604d05b31ad3d12cb7cf7a94893d7..0000000000000000000000000000000000000000
--- a/pkgs/data/dicts/cambridge/default.nix
+++ /dev/null
@@ -1,27 +0,0 @@
-{ stdenv, fetchurl }:
-
-stdenv.mkDerivation rec {
-  pname = "cambridge";
-  version = "2.4.2";
-
-  src = fetchurl {
-    url = "http://download.huzheng.org/bigdict/stardict-Cambridge_Advanced_Learners_Dictionary_3th_Ed-${version}.tar.bz2";
-    sha256 = "0mqrf5fr6hx3bjy1brsggmkrii2xf497jkaj6zf1hjxnp0ijswgr";
-  };
-
-  installPhase = ''
-    install -dm755 "$out/share/goldendict/dictionaries/${pname}"
-    cp -a . "$out/share/goldendict/dictionaries/${pname}"
-  '';
-
-  preferLocalBuild = true;
-
-  meta = with stdenv.lib; {
-    description = "Cambridge Advanced Learners Dictionary 3th Ed. (En-En)";
-    homepage = "http://download.huzheng.org/bigdict/";
-    license = licenses.free;
-    maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.all;
-    skip.ci = true;
-  };
-}
diff --git a/pkgs/data/dicts/huzheng/base.nix b/pkgs/data/dicts/huzheng/base.nix
new file mode 100644
index 0000000000000000000000000000000000000000..a7539dd306cf3ed70ddd024d4a5650919d736bc3
--- /dev/null
+++ b/pkgs/data/dicts/huzheng/base.nix
@@ -0,0 +1,26 @@
+{ stdenv, fetchurl, pname, version, filename, sha256, description }:
+
+stdenv.mkDerivation rec {
+  inherit pname version;
+
+  src = fetchurl {
+    url = "http://download.huzheng.org/bigdict/${filename}";
+    inherit sha256;
+  };
+
+  installPhase = ''
+    install -dm755 "$out/share/goldendict/dictionaries/${pname}"
+    cp -a . "$out/share/goldendict/dictionaries/${pname}"
+  '';
+
+  preferLocalBuild = true;
+
+  meta = with stdenv.lib; {
+    inherit description;
+    homepage = "http://download.huzheng.org/bigdict/";
+    license = licenses.free;
+    maintainers = with maintainers; [ sikmir ];
+    platforms = platforms.all;
+    skip.ci = true;
+  };
+}
diff --git a/pkgs/data/dicts/huzheng/default.nix b/pkgs/data/dicts/huzheng/default.nix
new file mode 100644
index 0000000000000000000000000000000000000000..f4638f505dda5ccb4b0051c9bad95f265411fef8
--- /dev/null
+++ b/pkgs/data/dicts/huzheng/default.nix
@@ -0,0 +1,27 @@
+{ callPackage }:
+
+{
+  cambridge = callPackage ./base.nix rec {
+    pname = "cambridge";
+    version = "2.4.2";
+    filename = "stardict-Cambridge_Advanced_Learners_Dictionary_3th_Ed-${version}.tar.bz2";
+    description = "Cambridge Advanced Learners Dictionary 3th Ed. (En-En)";
+    sha256 = "0mqrf5fr6hx3bjy1brsggmkrii2xf497jkaj6zf1hjxnp0ijswgr";
+  };
+
+  macmillan = callPackage ./base.nix rec {
+    pname = "macmillan";
+    version = "2.4.2";
+    filename = "stardict-Macmillan_English_Dictionary-${version}.tar.bz2";
+    description = "Macmillan English Dictionary (En-En)";
+    sha256 = "1xg4xvxnni5vc371sd0bvskl1vly6p62q3c8r36bd2069ln7jy8r";
+  };
+
+  webster = callPackage ./base.nix rec {
+    pname = "webster";
+    version = "2.4.2";
+    filename = "stardict-Webster_s_Unabridged_3-${version}.tar.bz2";
+    description = "Webster's Third New International Dictionary, Unabridged (En-En)";
+    sha256 = "1gj33px44d4ywhnxv7x5hxvh43f8m7skwmhvc62ld0c50blrqi7a";
+  };
+}
diff --git a/pkgs/data/dicts/macmillan/default.nix b/pkgs/data/dicts/macmillan/default.nix
deleted file mode 100644
index 3672134200ed63d799457c1b4c0881f48afcad5c..0000000000000000000000000000000000000000
--- a/pkgs/data/dicts/macmillan/default.nix
+++ /dev/null
@@ -1,27 +0,0 @@
-{ stdenv, fetchurl }:
-
-stdenv.mkDerivation rec {
-  pname = "macmillan";
-  version = "2.4.2";
-
-  src = fetchurl {
-    url = "http://download.huzheng.org/bigdict/stardict-Macmillan_English_Dictionary-${version}.tar.bz2";
-    sha256 = "1xg4xvxnni5vc371sd0bvskl1vly6p62q3c8r36bd2069ln7jy8r";
-  };
-
-  installPhase = ''
-    install -dm755 "$out/share/goldendict/dictionaries/${pname}"
-    cp -a . "$out/share/goldendict/dictionaries/${pname}"
-  '';
-
-  preferLocalBuild = true;
-
-  meta = with stdenv.lib; {
-    description = "Macmillan English Dictionary (En-En)";
-    homepage = "http://download.huzheng.org/bigdict/";
-    license = licenses.free;
-    maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.all;
-    skip.ci = true;
-  };
-}
diff --git a/pkgs/data/dicts/webster/default.nix b/pkgs/data/dicts/webster/default.nix
deleted file mode 100644
index 39d7c980ff310f6ac8604a98e5b401a6cbe3e7a1..0000000000000000000000000000000000000000
--- a/pkgs/data/dicts/webster/default.nix
+++ /dev/null
@@ -1,27 +0,0 @@
-{ stdenv, fetchurl }:
-
-stdenv.mkDerivation rec {
-  pname = "webster";
-  version = "2.4.2";
-
-  src = fetchurl {
-    url = "http://download.huzheng.org/bigdict/stardict-Webster_s_Unabridged_3-${version}.tar.bz2";
-    sha256 = "1gj33px44d4ywhnxv7x5hxvh43f8m7skwmhvc62ld0c50blrqi7a";
-  };
-
-  installPhase = ''
-    install -dm755 "$out/share/goldendict/dictionaries/${pname}"
-    cp -a . "$out/share/goldendict/dictionaries/${pname}"
-  '';
-
-  preferLocalBuild = true;
-
-  meta = with stdenv.lib; {
-    description = "Webster's Third New International Dictionary, Unabridged (En-En)";
-    homepage = "http://download.huzheng.org/bigdict/";
-    license = licenses.free;
-    maintainers = with maintainers; [ sikmir ];
-    platforms = platforms.all;
-    skip.ci = true;
-  };
-}
diff --git a/pkgs/data/maps/qmapshack-routinodb/default.nix b/pkgs/data/maps/qmapshack-routinodb/default.nix
index 45779810009bdf07384e8c1e1f3302cd4562e634..0d65f369ad458367a9a542a71beaf89d7526d57e 100644
--- a/pkgs/data/maps/qmapshack-routinodb/default.nix
+++ b/pkgs/data/maps/qmapshack-routinodb/default.nix
@@ -2,7 +2,7 @@ { stdenv, sources, routino }:
 
 stdenv.mkDerivation rec {
   pname = "qmapshack-routinodb";
-  version = "2020-04-03";
+  version = sources.geofabrik-russia-nwfd.version;
   srcs = [
     sources.geofabrik-finland
     sources.geofabrik-estonia
diff --git a/pkgs/default.nix b/pkgs/default.nix
index fe54df56ecf7605a8785f7ec7e2d8b045d6aa8c7..3a313588656f7818c91637c68c9efcc3bb42077e 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -29,9 +29,7 @@     fetchgdrive = callPackage ./build-support/fetchgdrive { };
 
     ### DATA
 
-    cambridge = callPackage ./data/dicts/cambridge {};
-    macmillan = callPackage ./data/dicts/macmillan {};
-    webster = callPackage ./data/dicts/webster {};
+    huzheng = callPackage ./data/dicts/huzheng {};
     wiktionary = callPackage ./data/dicts/wiktionary {};
 
     gpxsee-maps = callPackage ./data/maps/gpxsee-maps {};