diff --git a/flake.lock b/flake.lock
index 1ff586bdb94bd2d744130200a990a200f1bf8af8..9dc4b6fc9c24d45ee563066cba97d4faa1289727 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1699094435,
-        "narHash": "sha256-YLZ5/KKZ1PyLrm2MO8UxRe4H3M0/oaYqNhSlq6FDeeA=",
+        "lastModified": 1699343069,
+        "narHash": "sha256-s7BBhyLA6MI6FuJgs4F/SgpntHBzz40/qV0xLPW6A1Q=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "9d5d25bbfe8c0297ebe85324addcb5020ed1a454",
+        "rev": "ec750fd01963ab6b20ee1f0cb488754e8036d89d",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/darwin/finch/default.nix b/pkgs/darwin/finch/default.nix
index 6dc018d6a75e8a55aee78fb91935ba7eb4e519a3..d4a3fefb392c913ef6170307aa5baedccf695b05 100644
--- a/pkgs/darwin/finch/default.nix
+++ b/pkgs/darwin/finch/default.nix
@@ -5,39 +5,39 @@   arch = lib.head (lib.splitString "-" stdenv.hostPlatform.system);
   # Check LIMA_URL in Makefile
   lima = {
     "x86_64-darwin" = fetchurl {
-      url = "https://deps.runfinch.com/${lib.replaceStrings [ "_" ] [ "-" ] arch}/lima-and-qemu.macos-${arch}.1679936560.tar.gz";
-      hash = "sha256-WpDR71QwMVi5ztJ0t+2lv3nPdpsrrAZunBNgSUtHags=";
+      url = "https://deps.runfinch.com/${lib.replaceStrings [ "_" ] [ "-" ] arch}/lima-and-qemu.macos-${arch}.1695247723.tar.gz";
+      hash = "sha256-AuyO6Egz5MMFqSE31hNM0VgLXMUBLifpDz4BwclD5LM=";
     };
     "aarch64-darwin" = fetchurl {
-      url = "https://deps.runfinch.com/${lib.replaceStrings [ "_" ] [ "-" ] arch}/lima-and-qemu.macos-${arch}.1679936560.tar.gz";
-      hash = "sha256-WpDR71QwMVi5ztJ0t+2lv3nPdpsrrAZunBNgSUtHags=";
+      url = "https://deps.runfinch.com/${lib.replaceStrings [ "_" ] [ "-" ] arch}/lima-and-qemu.macos-${arch}.1695247723.tar.gz";
+      hash = "sha256-VetbhEPBUiMVdHN6ypS9SJMhHIShVjuurnffPtukzjE=";
     };
   }.${stdenv.hostPlatform.system};
   # Check FINCH_OS_BASENAME in Makefile
   os = {
     "x86_64-darwin" = fetchurl {
-      url = "https://dl.fedoraproject.org/pub/fedora/linux/releases/37/Cloud/${arch}/images/Fedora-Cloud-Base-37-1.7.${arch}.qcow2";
-      hash = "sha256-tbm+yR7uZUiaV0X27mIFc7IzN8ux60UBziALFXoB86A=";
+      url = "https://dl.fedoraproject.org/pub/fedora/linux/releases/38/Cloud/${arch}/images/Fedora-Cloud-Base-38-1.6.${arch}.qcow2";
+      hash = "sha256-0zRnBAH/PVtBKfzGYs9k9ablaCKK9ZB2zESaSUUxhII=";
     };
     "aarch64-darwin" = fetchurl {
-      url = "https://dl.fedoraproject.org/pub/fedora/linux/releases/37/Cloud/${arch}/images/Fedora-Cloud-Base-37-1.7.${arch}.qcow2";
-      hash = "sha256-zIsPSbxgh1oW7vZa0T4OhrpQK6NYXMURRvEfQYKmKMA=";
+      url = "https://dl.fedoraproject.org/pub/fedora/linux/releases/38/Cloud/${arch}/images/Fedora-Cloud-Base-38-1.6.${arch}.qcow2";
+      hash = "sha256-0zRnBAH/PVtBKfzGYs9k9ablaCKK9ZB2zESaSUUxhII=";
     };
   }.${stdenv.hostPlatform.system};
 in
 buildGoModule rec {
   pname = "finch";
-  version = "0.6.2";
+  version = "1.0.0";
 
   src = fetchFromGitHub {
     owner = "runfinch";
     repo = "finch";
     rev = "v${version}";
-    hash = "sha256-hffcBp67SdUaXjhFUYkhAWBJavzhC+pVspW0bPx/3RY=";
+    hash = "sha256-vCucOIbePR7WkQR7xr71wyvYgLQgAinH2YxK+YzP/8c=";
     fetchSubmodules = true;
   };
 
-  vendorHash = "sha256-/hLXY2UYr0N6wiu2UP0Cr6B9sd2JrAS1AVNA/RHy4t8=";
+  vendorHash = "sha256-GjTsS0VSjWTlopLQa8LfL+P5z1qrliWXKXn2i2c2UHo=";
 
   subPackages = [ "cmd/finch" ];
 
diff --git a/pkgs/mqtt/mqtt-cli/default.nix b/pkgs/mqtt/mqtt-cli/default.nix
index ab35d188a9844d1ae50201a8ed9388e9b19a0565..bab067429deaececd3962bdfb0dbe326dcda9746 100644
--- a/pkgs/mqtt/mqtt-cli/default.nix
+++ b/pkgs/mqtt/mqtt-cli/default.nix
@@ -2,13 +2,13 @@ { lib, stdenv, fetchfromgh, jre, makeWrapper }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "mqtt-cli";
-  version = "4.21.0";
+  version = "4.22.0";
 
   src = fetchfromgh {
     owner = "hivemq";
     repo = "mqtt-cli";
     name = "mqtt-cli-${finalAttrs.version}.jar";
-    hash = "sha256-poJjt+YsCCVNwRjqoFUCW/FYClSpXOSccp3XEnZ0eWk=";
+    hash = "sha256-s7b4Fr7ofuG1khieIa2iF+kckY6xjjCBMwdczD3XXII=";
     version = "v${finalAttrs.version}";
   };
 