diff --git a/flake.lock b/flake.lock
index 0abb2a45d4f097973a0709bb063d5c72941d5129..68f665032994f08adbf0e57146fa2037ddfbaab7 100644
--- a/flake.lock
+++ b/flake.lock
@@ -2,11 +2,11 @@ {
   "nodes": {
     "nixpkgs": {
       "locked": {
-        "lastModified": 1631315520,
-        "narHash": "sha256-Y8j0JYtZMifrHaWdTfTp1mYVXZ2PLJO/P0XZxMvo7KU=",
+        "lastModified": 1631786778,
+        "narHash": "sha256-CCMDj/0yXJnrlO4/NpHKhYRifNADQ1WUeQmFUD4sU4c=",
         "owner": "NixOS",
         "repo": "nixpkgs",
-        "rev": "b72ad04a8a324697d3fb92e19cd840379a902813",
+        "rev": "a39ee95a86b1fbdfa9edd65f3810b23d82457241",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 19e7fd4df237bb4a1c4fa44b64cc95617dea47f9..27719b3f87fb6a602dccad2bc97a74732f3c0f0a 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -24,7 +24,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2021-09-04";
+  version = "2021-09-11";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 9580dc81b32bacfb80b6d7c66fda4dbbf1fd478f..7fb2152f88e03b49d3ec91dc7cac54e05489fef5 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,67 +1,67 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-g2/WxztO0Ni75i1MNpthSvy2F0ywwbfJUcQgttwNh+Q="
+    "hash": "sha256-xO07odA/CWAWXd4OzZW6sbrY2KqTkNqfL4JJNv9v7hk="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-NuLNf4NA9NBUBcRpE+/neZfYNs/s4dnWgJKC5ZsEGZo="
+    "hash": "sha256-jTzuzXBXQk7az9o+DjD/y2S//yYRp1DlC2/Lxa5v1q0="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-WA2Ua0oeUs4vYZcHhACEPX+dFPyHq0Pj+OEuv3QP08o="
+    "hash": "sha256-rB+bLECjz6Cy/E7L7001ZRU5l/hgTTNf2TPVlpK+9iU="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-s00F591RRhn1X0g6MbMmdTvLKXrBaSuHaZjgX6sXg+w="
+    "hash": "sha256-jBgfy8P2ck6Gpss/0C/uYrdulwIMxW0PavkACOz5Kbw="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-0hPbjI9Hrv3LfV3xdT2lL3fU/oEbhbW/7msoduNZ6vg="
+    "hash": "sha256-5bbxyQrEBMsiHTkcTa7mAJ7z9JfHnQgT6cUrwzzSqzA="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Vy0TKUP6WF22CNOArm7E4qm+aFH2nUDNvJTjQIuf5S8="
+    "hash": "sha256-AZEknsaKNKV5UgDBg3TON4CphGA6uTww7EdsiD+1N2s="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-5y9afKjet+ZFOD6k8BqZq5uo2dVPDmwFGsdoR3fghZM="
+    "hash": "sha256-QCC1zuynfliRToSMclGPugCvgWuHZ2j6kKTI434gBfQ="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-ciAfgQDlv+rY+99cNIqAzLaA5Czs8LqM3l6csy+BnNM="
+    "hash": "sha256-3B9WLITK4FwzgyuEPawbunqkmU5D5AASCdbYrGaF8x8="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-F1vb+q64eFbhRwLSempFBefjweSCR4zDGJ524zTij+4="
+    "hash": "sha256-JmAc0YBSmOB4t9+zoLrvYq1R1M53SYvzhwCgqFngIQs="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-npaG/hDzjVCi1F9+WtpCkx5w8+KpdchdcZe4Vfivl7Y="
+    "hash": "sha256-wLhs/Fhvn1IuIQFBjRQFg18S2MFNjh2+jA7Gu7BDEXg="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-PHK3nTxIPdqNk73aAi971PtjFSXhrFt2kDni9hLE/L4="
+    "hash": "sha256-vjpt71qk0wxPAchuXH5JP42ilS335a2m0gU+qlSwLaM="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-kPPkvVZqSo1bjF/Y/DImWYz1FqNKMc2KzvBpr5ktHE0="
+    "hash": "sha256-lRCI06nGxwcCAHN8FvR5LF6oSVaZaQRd9JyCxMbvOyU="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-fSSe10osmv4jyXDW8XE6kRxnPoMu+kJbhWi5TcsMVUw="
+    "hash": "sha256-RIJWGQss7AtVZehDhF/jjtWOp5QUxofh8TJOq227reI="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-tyhSTUZmZe20NGHIdiF6qSAE6dt3D6jgelATc/p/O3Q="
+    "hash": "sha256-5uVHqoOEgpNDIvgocBdKn18R/DUk6J/XXUAsO8HEm1k="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-SSmAPxWqvzWrzIru+X9WocncxNN5FE7i1JyQKg3RSLs="
+    "hash": "sha256-dIVwGbFJ7Uy4pdMQyt9PNPsW2SHLrFRzXdvZWMT7iVs="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-/w1XhNPVf5cDURtZjXDdS9X6OKUUk5LEJOEquGGEJt8="
+    "hash": "sha256-ZkIiwhi9pXzesq1nuoiw1IWZTbanlu4utweAJiPlZO0="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -69,15 +69,15 @@     "hash": "sha256-epl1FdjToSd8aC6j1rzYiavPj9YWcMDWr/lv5L8rbaE="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-tsI4dzTqX7haZFSte/WWsrSPBZi1sGixRrBvQgz52Zc="
+    "hash": "sha256-5odWJwdgCBuAPHAaTyeFYk1rcqZlfCtgZYX7X6h8s6M="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-X4gJyTYyOuSxVVba3V2uXWVJglZ1JxAnEW74nlFvGBM="
+    "hash": "sha256-raXb9EwZ50sndZfD/RECjXrJH+z75YvN6Ucqc030+HY="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-vgSDwmTpBm/fYmsq+vrNmLV3wCYSkehh/gIzHQubl20="
+    "hash": "sha256-xBfWBIDJCwpizRsE5IE27hT3hNDQyShQjyoJbxrELWM="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -85,14 +85,14 @@     "hash": "sha256-sdENtQSzkdoioMPzpeCR+67QQ4KiJQof82aUqU/GA8E="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-SEcXH3R1pv3KGvo4m+CJsJpeXPAIf7GaXY8pIuv7h8k="
+    "hash": "sha256-P8DsKUumfQpDzr/z1231ZBTAfSduN5mRVfYmwBm9dt8="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-fgAZSBpRk86+sx+fxBvV6uuog9iUWPqBdubuyBVA5ek="
+    "hash": "sha256-6H3kVa0RZGBMIyjMcdlwTDCVsdceM1dO5fDtDqukiQI="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-zHE2Wb85vwldnyd9lCJxe1Fa0G+lbQWOC1eLVDtRltY="
+    "hash": "sha256-KbWp+zYmRjyxE+wukIMoZFub5eHekQ9R4vOXdG5SSCA="
   }
 }
diff --git a/pkgs/dict/tatoebatools/cli.patch b/pkgs/dict/tatoebatools/cli.patch
index 7877d948c1f028e06f5c8acdef952590afb4d22b..7c423ba9a7904230a077f500d2f31108673e819e 100644
--- a/pkgs/dict/tatoebatools/cli.patch
+++ b/pkgs/dict/tatoebatools/cli.patch
@@ -1,14 +1,15 @@
 diff --git c/setup.py i/setup.py
-index ea690f5..9f316c2 100644
+index 2a0a75d..01b361c 100644
 --- c/setup.py
 +++ i/setup.py
-@@ -21,8 +21,11 @@ setuptools.setup(
-     python_requires=">=3.6",
+@@ -24,9 +24,12 @@ setuptools.setup(
+     python_requires=">=3.7.1",
      install_requires=[
          "beautifulsoup4>=4.9.0",
 +        "click",
-         "pandas>=1.1.1",
+         "pandas>=1.3.3",
          "requests>=2.23.0",
+         "SQLAlchemy==1.4.23",
          "tqdm>=4.46.0",
 +        "xdg"
      ],
diff --git a/pkgs/dict/tatoebatools/default.nix b/pkgs/dict/tatoebatools/default.nix
index 6461d318f0b399c8eeea092218045cf86841ee82..253476c31e168e57eee24fd3b8a456afa82c4f21 100644
--- a/pkgs/dict/tatoebatools/default.nix
+++ b/pkgs/dict/tatoebatools/default.nix
@@ -2,19 +2,21 @@ { lib, stdenv, python3Packages, fetchFromGitHub, withCli ? true, checkLang ? false }:
 
 python3Packages.buildPythonApplication rec {
   pname = "tatoebatools";
-  version = "0.1.1";
+  version = "0.2.0";
 
   src = fetchFromGitHub {
     owner = "LBeaudoux";
     repo = pname;
-    rev = "c3b4e40886233a83e30a517d63a1eee0547650d7";
-    hash = "sha256-clKZPQeDFUPlkyLnSeZkYdz1sOwIWeV3L1KOQOE7J8E=";
+    rev = "v${version}";
+    hash = "sha256-S8DXsgws6QoOVFURu89mVR9PuzYnV2YRfsz+KojcCfo=";
   };
 
   patches = lib.optional (!checkLang) ./dont-check-lang-validity.patch
     ++ lib.optional withCli ./cli.patch;
 
-  propagatedBuildInputs = with python3Packages; [ beautifulsoup4 pandas requests setuptools tqdm ]
+  postPatch = "sed -i 's/==.*\"/\"/;s/>=.*\"/\"/' setup.py";
+
+  propagatedBuildInputs = with python3Packages; [ beautifulsoup4 pandas requests sqlalchemy setuptools tqdm ]
     ++ lib.optionals withCli [ click xdg ];
 
   checkInputs = with python3Packages; [ pytestCheckHook ];
diff --git a/pkgs/suckless/imscript/default.nix b/pkgs/suckless/imscript/default.nix
index 1c873183780d0470ba1bda8f2791117840f3890b..41a9ec49c0c65c540361b92dbfa0a586a16e2f09 100644
--- a/pkgs/suckless/imscript/default.nix
+++ b/pkgs/suckless/imscript/default.nix
@@ -1,17 +1,17 @@
-{ lib, stdenv, fetchFromSourcehut, libpng, libjpeg, libtiff, fftwFloat, libX11, gsl }:
+{ lib, stdenv, fetchFromSourcehut, libpng, libjpeg, libtiff, libwebp, fftwFloat, libX11, gsl }:
 
 stdenv.mkDerivation rec {
   pname = "imscript";
-  version = "2021-07-19";
+  version = "2021-09-10";
 
   src = fetchFromSourcehut {
     owner = "~coco";
     repo = pname;
-    rev = "ede7a82a15649c5a5573b0ffd2a6cb5894f2f1d8";
-    hash = "sha256-uxCrmg1B9nsDOUvH3Yi6LwJ6KpwRCshjJHJ2seo0Ibc=";
+    rev = "dfdcad10f2f6a2481b4ec9b6929b750e5ebf9cb8";
+    hash = "sha256-Y1TqT8+Fbbc2zlEuyoFw1oVVbrtacLp3N/SpAdTYIv8=";
   };
 
-  buildInputs = [ libpng libjpeg libtiff fftwFloat libX11 gsl ];
+  buildInputs = [ libpng libjpeg libtiff libwebp fftwFloat libX11 gsl ];
 
   makeFlags = [ "DISABLE_HDF5=1" "full" ];
 