diff --git a/pkgs/default.nix b/pkgs/default.nix
index ab34b0eff0fd79c483a1e37e1d32d658dacf9c81..d76d26fa13b0dff297fb3e437ce9da110ded5166 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -89,13 +89,6 @@     goldendict-dark-theme =
       callPackage ./data/themes/goldendict-themes/dark-theme.nix { };
     qtpbfimageplugin-styles = callPackage ./data/themes/qtpbfimageplugin-styles { };
 
-    ### DEVELOPMENT / TOOLS
-
-    gef = callPackage ./development/tools/gef { };
-    how-to-use-pvs-studio-free = callPackage ./development/tools/pvs-studio/how-to-use-pvs-studio-free.nix { };
-    pvs-studio = callPackage ./development/tools/pvs-studio { };
-    xtr = callPackage ./development/tools/xtr { };
-
     ### DEVELOPMENT / LIBRARIES
 
     foma = callPackage ./development/libraries/foma {
@@ -135,11 +128,7 @@     s2sphere = callPackage ./development/python-modules/s2sphere { };
 
     ### TOOLS
 
-    aamath = callPackage ./tools/text/aamath { };
-    csvquote = callPackage ./tools/text/csvquote { };
-    csvtools = callPackage ./tools/text/csvtools { };
     datamaps = callPackage ./tools/geo/datamaps { };
-    docx2csv = callPackage ./tools/text/docx2csv { };
     elevation = callPackage ./tools/geo/elevation {
       click = click-6-7;
     };
@@ -232,11 +221,17 @@     };
 
     ### MISC
 
+    aamath = callPackage ./misc/aamath { };
     apibackuper = callPackage ./misc/apibackuper { };
     ascii-dash = callPackage ./misc/ascii-dash { };
     cfiles = callPackage ./misc/cfiles { };
+    csvquote = callPackage ./misc/csvquote { };
+    csvtools = callPackage ./misc/csvtools { };
     docker-reg-tool = callPackage ./misc/docker-reg-tool { };
+    docx2csv = callPackage ./misc/docx2csv { };
+    gef = callPackage ./misc/gef { };
     glauth = callPackage ./misc/glauth { };
+    how-to-use-pvs-studio-free = callPackage ./misc/how-to-use-pvs-studio-free.nix { };
     ht = callPackage ./misc/ht { };
     ish = callPackage ./misc/ish { };
     lazyscraper = callPackage ./misc/lazyscraper { };
@@ -246,8 +241,10 @@     polyvectorization = libsForQt5.callPackage ./misc/polyvectorization {
       inherit sources;
     };
     ptunnel = callPackage ./misc/ptunnel { };
+    pvs-studio = callPackage ./misc/pvs-studio { };
     taskcoach = callPackage ./misc/taskcoach { };
     xfractint = callPackage ./misc/xfractint { };
+    xtr = callPackage ./misc/xtr { };
 
     ### NAKARTE
 
diff --git a/pkgs/development/tools/gef/default.nix b/pkgs/misc/gef/default.nix
rename from pkgs/development/tools/gef/default.nix
rename to pkgs/misc/gef/default.nix
diff --git a/pkgs/development/tools/pvs-studio/default.nix b/pkgs/misc/pvs-studio/default.nix
rename from pkgs/development/tools/pvs-studio/default.nix
rename to pkgs/misc/pvs-studio/default.nix
diff --git a/pkgs/development/tools/pvs-studio/how-to-use-pvs-studio-free.nix b/pkgs/misc/pvs-studio/how-to-use-pvs-studio-free.nix
rename from pkgs/development/tools/pvs-studio/how-to-use-pvs-studio-free.nix
rename to pkgs/misc/pvs-studio/how-to-use-pvs-studio-free.nix
diff --git a/pkgs/development/tools/xtr/cargo-lock.patch b/pkgs/misc/xtr/cargo-lock.patch
rename from pkgs/development/tools/xtr/cargo-lock.patch
rename to pkgs/misc/xtr/cargo-lock.patch
diff --git a/pkgs/development/tools/xtr/default.nix b/pkgs/misc/xtr/default.nix
rename from pkgs/development/tools/xtr/default.nix
rename to pkgs/misc/xtr/default.nix
diff --git a/pkgs/suckless/sfm/default.nix b/pkgs/suckless/sfm/default.nix
index 410c6fff74ae5845fbd585061865c2f5c71ba36d..0b3921db5252122667c913e93cc98ed8cf65045d 100644
--- a/pkgs/suckless/sfm/default.nix
+++ b/pkgs/suckless/sfm/default.nix
@@ -17,7 +17,7 @@   meta = with lib; {
     description = "Simple file manager";
     homepage = "https://github.com/afify/sfm";
     license = licenses.isc;
-    platforms = platforms.unix;
+    platforms = platforms.linux;
     maintainers = [ maintainers.sikmir ];
   };
 }
diff --git a/pkgs/tools/text/aamath/default.nix b/pkgs/misc/aamath/default.nix
rename from pkgs/tools/text/aamath/default.nix
rename to pkgs/misc/aamath/default.nix
index 1ace3875d155b55da4ccf40e14d56560f63f286a..aad305c398de6a01fe83d2981411718624720cf1 100644
--- a/pkgs/tools/text/aamath/default.nix
+++ b/pkgs/misc/aamath/default.nix
@@ -36,6 +36,6 @@     description = "ASCII art mathematics";
     homepage = "http://fuse.superglue.se/aamath/";
     license = licenses.gpl2Only;
     maintainers = [ maintainers.sikmir ];
-    platforms = platforms.unix;
+    platforms = platforms.linux;
   };
 }
diff --git a/pkgs/tools/text/csvquote/default.nix b/pkgs/misc/csvquote/default.nix
rename from pkgs/tools/text/csvquote/default.nix
rename to pkgs/misc/csvquote/default.nix
diff --git a/pkgs/tools/text/csvtools/default.nix b/pkgs/misc/csvtools/default.nix
rename from pkgs/tools/text/csvtools/default.nix
rename to pkgs/misc/csvtools/default.nix
diff --git a/pkgs/tools/text/docx2csv/default.nix b/pkgs/misc/docx2csv/default.nix
rename from pkgs/tools/text/docx2csv/default.nix
rename to pkgs/misc/docx2csv/default.nix