diff --git a/nix/sources.json b/nix/sources.json
index 6b9f6ac32816c71435e66a1bba598e843850144c..75dbb08081e6cfc83cb0f30bcfe780d94a1aa041 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -114,15 +114,15 @@     },
     "embox": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-09-03T13:10:24Z",
+        "date": "2020-09-18T12:40:51Z",
         "description": "Modular and configurable OS for embedded applications",
         "homepage": "http://embox.github.io",
         "owner": "embox",
         "repo": "embox",
-        "rev": "e250f1564e833673b47a79d5dfde96e33f9057c6",
-        "sha256": "0wnvpwbydxnp425bdxpi4lik4m8mavrf2c5xpaxf0fm4kpm5c64a",
+        "rev": "ff646b543ba1030e03e659fdeb1e4bbd70f60b06",
+        "sha256": "0m1b7rclpk97hm42c65dfin2zifgrqv6l2zs7qd23fcsad7yyvs9",
         "type": "tarball",
-        "url": "https://github.com/embox/embox/archive/e250f1564e833673b47a79d5dfde96e33f9057c6.tar.gz",
+        "url": "https://github.com/embox/embox/archive/ff646b543ba1030e03e659fdeb1e4bbd70f60b06.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "foma": {
@@ -142,54 +142,56 @@     },
     "gef": {
         "branch": "dev",
         "builtin": false,
-        "date": "2020-08-26T02:02:11Z",
+        "date": "2020-09-18T18:13:49Z",
         "description": "GEF - GDB Enhanced Features for exploit devs & reversers",
         "homepage": "http://gef.rtfd.io",
         "owner": "hugsy",
         "repo": "gef",
-        "rev": "f461bc07fb30d2be06f8d744b3db2d227083ac74",
-        "sha256": "1i3zjmvw15jha3hnmps8q2kpfg2b9q5bbvh1hyi51qdxhviz35ja",
+        "rev": "9ac0173ad744673fc29b3c96a1abaf0189c5156f",
+        "sha256": "0197lj8imi5fwk6m8ji0xvvjh3lrrvgz3c8qncaqv8qdss6050bf",
         "type": "tarball",
-        "url": "https://github.com/hugsy/gef/archive/f461bc07fb30d2be06f8d744b3db2d227083ac74.tar.gz",
+        "url": "https://github.com/hugsy/gef/archive/9ac0173ad744673fc29b3c96a1abaf0189c5156f.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "geminid": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-07-11T06:32:59Z",
+        "date": "2020-09-09T10:08:52Z",
         "description": "Gemini Server in C",
         "homepage": "https://github.com/jovoro/geminid",
         "owner": "jovoro",
         "repo": "geminid",
-        "rev": "a0b2d654c0d57d7926711e38db7a41bf4a30e416",
-        "sha256": "1l1013hpa2k66hspywy88na7a9wfpbvw48mag60b3w7b3c8lxfjr",
+        "rev": "3f79348aaffebfb2d80252d8cdbaf6ad26fa9121",
+        "sha256": "1r3pakhgr4kry71blxay1hq93raw7xc2ypzk6z7zk0ljfqp2qq3v",
         "type": "tarball",
-        "url": "https://github.com/jovoro/geminid/archive/a0b2d654c0d57d7926711e38db7a41bf4a30e416.tar.gz",
+        "url": "https://github.com/jovoro/geminid/archive/3f79348aaffebfb2d80252d8cdbaf6ad26fa9121.tar.gz",
+        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
+    },
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "geofabrik-estonia": {
         "builtin": false,
-        "sha256": "1yxkb571vh5migqwbxq1dj1zvp7a79jldjvnifwzi089bj5rc9xl",
+        "sha256": "1mcchdm35sqwk06byyvyghy00km4lxkbrkf5zjca9s8smry8za94",
         "type": "file",
-        "url": "https://download.geofabrik.de/europe/estonia-200907.osm.pbf",
+        "url": "https://download.geofabrik.de/europe/estonia-200919.osm.pbf",
         "url_template": "https://download.geofabrik.de/europe/estonia-<version>.osm.pbf",
-        "version": "200907"
+        "version": "200919"
     },
     "geofabrik-finland": {
         "builtin": false,
-        "sha256": "0fx9dnsjh40ic0xgsy59czh569g7q9p17pvq6c8gxy40q3qirpyb",
+        "sha256": "1rddzlfx6sjxih3hp8xwkgd3jdz5njc6z08rhibnq25ypb5fbwib",
         "type": "file",
-        "url": "https://download.geofabrik.de/europe/finland-200907.osm.pbf",
+        "url": "https://download.geofabrik.de/europe/finland-200919.osm.pbf",
         "url_template": "https://download.geofabrik.de/europe/finland-<version>.osm.pbf",
-        "version": "200907"
+        "version": "200919"
     },
     "geofabrik-russia-nwfd": {
         "builtin": false,
-        "sha256": "1l69s3vl726vadb8kyzxm13ihxb30q9qghszd2jaha4xism496dx",
+        "sha256": "0p11zza91dka4n4fc1rgcl4xkvi08jcqr2x04qpzdcg12gcpxkqf",
         "type": "file",
-        "url": "https://download.geofabrik.de/russia/northwestern-fed-district-200907.osm.pbf",
+        "url": "https://download.geofabrik.de/russia/northwestern-fed-district-200919.osm.pbf",
         "url_template": "https://download.geofabrik.de/russia/northwestern-fed-district-<version>.osm.pbf",
-        "version": "200907"
+        "version": "200919"
     },
     "gimgtools": {
         "branch": "master",
@@ -306,15 +308,15 @@     },
     "gpxsee": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-08-26T16:20:15Z",
+        "date": "2020-09-20T21:24:26Z",
         "description": "GPS log file viewer and analyzer",
         "homepage": "https://www.gpxsee.org",
         "owner": "tumic0",
         "repo": "GPXSee",
-        "rev": "03e7d092c41c53b4b3ae14731eb7fd6c661af994",
-        "sha256": "1x295v2f2z3b24s8vh37l7d4js3rbaqcwki3262syirjvqv780xy",
+        "rev": "2605e1abebe9e3407ba3c5ba73306aac2e5409be",
+        "sha256": "0mcd6zv71laykg1208vkqmaxv1v12mqq47156gb78a5ww8paa0ka",
         "type": "tarball",
-        "url": "https://github.com/tumic0/GPXSee/archive/03e7d092c41c53b4b3ae14731eb7fd6c661af994.tar.gz",
+        "url": "https://github.com/tumic0/GPXSee/archive/2605e1abebe9e3407ba3c5ba73306aac2e5409be.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "gpxsee-maps": {
@@ -347,15 +349,15 @@     },
     "gpxtrackposter": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-09-10T12:34:04Z",
+        "date": "2020-09-19T08:42:32Z",
         "description": "Create a visually appealing poster from your GPX tracks",
         "homepage": "https://github.com/flopp/GpxTrackPoster",
         "owner": "flopp",
         "repo": "GpxTrackPoster",
-        "rev": "7731d0faa2348eb207492f587c595cc65a520e11",
-        "sha256": "0cvjw397wf9bfqjh3v850kg27hf8lg8z3n363c3riwvcl5qwaszk",
+        "rev": "351bdbc54f25fc844f451abe2aa68e035c5256ca",
+        "sha256": "1k1hdxa0hlc34n68zjs412bj2jzica0c89qwyn17fynnl3h089b6",
         "type": "tarball",
-        "url": "https://github.com/flopp/GpxTrackPoster/archive/7731d0faa2348eb207492f587c595cc65a520e11.tar.gz",
+        "url": "https://github.com/flopp/GpxTrackPoster/archive/351bdbc54f25fc844f451abe2aa68e035c5256ca.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "gt-bash-client": {
@@ -515,15 +517,15 @@     },
     "mapper": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-09-09T07:48:58Z",
+        "date": "2020-09-20T19:49:50Z",
         "description": "OpenOrienteering Mapper is a software for creating maps for the orienteering sport",
         "homepage": "https://www.openorienteering.org/apps/mapper/",
         "owner": "OpenOrienteering",
         "repo": "mapper",
-        "rev": "1004cd09cccd920d80e70905981f529755c36af7",
-        "sha256": "0sfs51cz0ppb5mdknj7awrmc1qwmg89z743v351n7l1zyhg3xqj9",
+        "rev": "9ee071874a2f9a12a91b7d3b0949470e15c99d65",
+        "sha256": "08h70i9dplhq2idrl1zc9n7n5hggz78i5wnf4k43i1rl4vvydqx4",
         "type": "tarball",
-        "url": "https://github.com/OpenOrienteering/mapper/archive/1004cd09cccd920d80e70905981f529755c36af7.tar.gz",
+        "url": "https://github.com/OpenOrienteering/mapper/archive/9ee071874a2f9a12a91b7d3b0949470e15c99d65.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "mapsoft": {
@@ -545,11 +547,11 @@         "builtin": false,
         "description": "Ежедневная сборка карт из данных OpenStreetMap для навигационных приборов и приложений Garmin",
         "homepage": "https://maptourist.org",
         "region": "szfo",
-        "sha256": "120ksa182g7wbq61i2g76h3yxl7issmrvgn918w90v1kyyb3qvbj",
+        "sha256": "1vq1in6s246jd2y10gpw4fp617gky4p91h0yprnfgvwa8qhkixi8",
         "type": "file",
-        "url": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_2020-09-07.zip",
+        "url": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_2020-09-19.zip",
         "url_template": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-<region>-RU_<version>.zip",
-        "version": "2020-09-07"
+        "version": "2020-09-19"
     },
     "mbtileserver": {
         "branch": "master",
@@ -596,15 +598,15 @@     },
     "mikatools": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-08-09T16:43:02Z",
+        "date": "2020-09-11T21:36:14Z",
         "description": "Mikatools provides fast and easy methods for common Python coding tasks",
         "homepage": "https://github.com/mikahama/mikatools",
         "owner": "mikahama",
         "repo": "mikatools",
-        "rev": "743ce7c4965963f5edf3390a62f7353e9246137c",
-        "sha256": "1rf7lrr9qh1a2di9qlbmh4pjd30hhv5h1zlaqpp6q9r15k9zzysx",
+        "rev": "e2f4d210f88904b5f6d368b638f7bb664b2e0f36",
+        "sha256": "0gpmwrkvn1x8sjq1681flpdma6miipw1vcmc99l15cg80sy3rz2l",
         "type": "tarball",
-        "url": "https://github.com/mikahama/mikatools/archive/743ce7c4965963f5edf3390a62f7353e9246137c.tar.gz",
+        "url": "https://github.com/mikahama/mikatools/archive/e2f4d210f88904b5f6d368b638f7bb664b2e0f36.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "morse-talk": {
@@ -648,29 +650,29 @@     },
     "nakarte": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-09-07T20:59:37Z",
+        "date": "2020-09-18T13:35:11Z",
         "description": "Source code of site http://nakarte.me",
         "homepage": "https://nakarte.me",
         "owner": "wladich",
         "repo": "nakarte",
-        "rev": "b7a4cd586cde083456ee95fd3e6f29a27a1c55b7",
-        "sha256": "0vq6dzgdf4ckyj0q5r193kfxqhminmv0kzxz75n6wca90l8c4gy0",
+        "rev": "58d4e0565d020c70ecf39b720e183e7ce21668a9",
+        "sha256": "1g7rqjxv731rm2ddn37wk4shg2racnjzvnr17ba1kch49ism1g73",
         "type": "tarball",
-        "url": "https://github.com/wladich/nakarte/archive/b7a4cd586cde083456ee95fd3e6f29a27a1c55b7.tar.gz",
+        "url": "https://github.com/wladich/nakarte/archive/58d4e0565d020c70ecf39b720e183e7ce21668a9.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "nnn": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-09-06T09:11:09Z",
+        "date": "2020-09-20T06:43:00Z",
         "description": "n³ The missing terminal file manager for X",
         "homepage": "https://github.com/jarun/nnn",
         "owner": "jarun",
         "repo": "nnn",
-        "rev": "d11b07fd01cffe5901ba1cfca148224f1e7f16f0",
-        "sha256": "1f6qqfxg30v6l41g4fxry0pc7416snp9q574b88xq6jh0mjrfd90",
+        "rev": "faddaa5c3ac11d1ab1e7b7a8cb8897d9df77b46b",
+        "sha256": "1qsznaxy7ihjgcsq8nzy860xc0a8ja6ywk5infrwdv9zdwwksbxa",
         "type": "tarball",
-        "url": "https://github.com/jarun/nnn/archive/d11b07fd01cffe5901ba1cfca148224f1e7f16f0.tar.gz",
+        "url": "https://github.com/jarun/nnn/archive/faddaa5c3ac11d1ab1e7b7a8cb8897d9df77b46b.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "odict": {
@@ -886,15 +888,15 @@     },
     "zdict": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-08-20T09:09:22Z",
+        "date": "2020-09-15T05:34:12Z",
         "description": "The last online dictionary framework you need",
         "homepage": "https://pypi.org/project/zdict/",
         "owner": "zdict",
         "repo": "zdict",
-        "rev": "411641f5b2a4f610ac8fa89cf4954ea89aa6e225",
-        "sha256": "0h2x2b6yfwsjj7pxi6abpw6kg30pmxv9kcz1q26bbdyg03bxdw6y",
+        "rev": "ff74e2e098b17aad40ff27f9be599adaa455226a",
+        "sha256": "03xzsj0cylrsab66jx1xivri2bpnz9qh9rw8g6l2q3xzpmp9af83",
         "type": "tarball",
-        "url": "https://github.com/zdict/zdict/archive/411641f5b2a4f610ac8fa89cf4954ea89aa6e225.tar.gz",
+        "url": "https://github.com/zdict/zdict/archive/ff74e2e098b17aad40ff27f9be599adaa455226a.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     }
 }
diff --git a/pkgs/data/maps/gpxsee-poi/default.nix b/pkgs/data/maps/gpxsee-poi/default.nix
index 810b4a02314268f2768bf83f1d1644d795d134b8..c9997abd6f5e643b27a2916cb602f54c8b9f6a6a 100644
--- a/pkgs/data/maps/gpxsee-poi/default.nix
+++ b/pkgs/data/maps/gpxsee-poi/default.nix
@@ -2,9 +2,9 @@ { lib, fetchurl, gzip, jq }:
 
 {
   geocachingSu = fetchurl {
-    name = "geocaching_su-2020-09-07";
+    name = "geocaching_su-2020-09-20";
     url = "https://nakarte.me/geocachingSu/geocaching_su2.json";
-    sha256 = "1v93vdvxbarqbd4hy6kig0y9h58q1z55zzwf2v7pc1fi6af1carx";
+    sha256 = "0ww6rknjdgpvazkdy4cvc6sav8yvn0khkfvpg79l7w9kskf65n3p";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''
@@ -25,9 +25,9 @@     };
   };
 
   laavut = fetchurl {
-    name = "laavut-2020-09-02";
+    name = "laavut-2020-09-20";
     url = "http://www.laavu.org/lataa.php?paikkakunta=kaikki";
-    sha256 = "1jlff8qdibhqcppwx6x2j9vcbn1gm6395z885r1awjawc81zwrf3";
+    sha256 = "1zksz3fdapmc7vqfsxl8dy2w4lb1ckprv8qjx49fb5fdgv96ww87";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = "install -Dm644 $downloadedFile $out/Laavut-kodat.gpx";
@@ -61,9 +61,9 @@     };
   };
 
   westra = fetchurl {
-    name = "westra-2020-09-02";
+    name = "westra-2020-09-20";
     url = "https://nakarte.me/westraPasses/westra_passes.json";
-    sha256 = "1q9fn7jrbrpn30hwagkq3yva81v8b6zvhkzjngqvkr08zkarh6bm";
+    sha256 = "1ry3dbv3qv5qi94fqani9gdqn53x4xm6y59h6ysi8f42ip106l63";
     downloadToTemp = true;
     recursiveHash = true;
     postFetch = ''